import { Article } from "article/domain/articleEntity";

export type SearchResultsDTO = {
  data: ArticleDTO[];
  meta: SearchResultsMeta;
};

export type ArticleDTO = {
  id: string;
  title: string;
  authors: string[];
  topic: string[];
  summary: string;
  tags: string[];
  content: string;
};

export type SearchResultsMeta = {
  total: string;
}
